#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioEncoder = 379,
  AudioListener = 392,
  AudioNode = 406,
  AudioParam = 416,
  AudioParamMap = 427,
  AudioProcessingEvent = 441,
  AudioScheduledSourceNode = 462,
  AudioTrack = 487,
  AudioTrackList = 498,
  AudioWorklet = 513,
  AudioWorkletGlobalScope = 526,
  AudioWorkletNode = 550,
  AudioWorkletProcessor = 567,
  AuthenticatorAssertionResponse = 589,
  AuthenticatorAttestationResponse = 620,
  AuthenticatorResponse = 653,
  BarProp = 675,
  BaseAudioContext = 683,
  BatteryManager = 700,
  BeforeUnloadEvent = 715,
  BiquadFilterNode = 733,
  Blob = 750,
  BlobEvent = 755,
  BroadcastChannel = 765,
  BrowsingContext = 782,
  BrowsingContextGroup = 798,
  ByteLengthQueuingStrategy = 819,
  CDATASection = 845,
  CSS = 858,
  CSS2Properties = 862,
  CSSAnimation = 877,
  CSSConditionRule = 890,
  CSSContainerRule = 907,
  CSSCounterStyleRule = 924,
  CSSCustomPropertyRegisteredEvent = 944,
  CSSFontFaceRule = 977,
  CSSFontFeatureValuesRule = 993,
  CSSFontPaletteValuesRule = 1018,
  CSSGroupingRule = 1043,
  CSSImportRule = 1059,
  CSSKeyframeRule = 1073,
  CSSKeyframesRule = 1089,
  CSSLayerBlockRule = 1106,
  CSSLayerStatementRule = 1124,
  CSSMarginRule = 1146,
  CSSMediaRule = 1160,
  CSSMozDocumentRule = 1173,
  CSSNamespaceRule = 1192,
  CSSPageDescriptors = 1209,
  CSSPageRule = 1228,
  CSSPropertyRule = 1240,
  CSSPseudoElement = 1256,
  CSSRule = 1273,
  CSSRuleList = 1281,
  CSSScopeRule = 1293,
  CSSStartingStyleRule = 1306,
  CSSStyleDeclaration = 1327,
  CSSStyleRule = 1347,
  CSSStyleSheet = 1360,
  CSSSupportsRule = 1374,
  CSSTransition = 1390,
  Cache = 1404,
  CacheStorage = 1410,
  CallbackDebuggerNotification = 1423,
  CanonicalBrowsingContext = 1452,
  CanvasCaptureMediaStream = 1477,
  CanvasGradient = 1502,
  CanvasPattern = 1517,
  CanvasRenderingContext2D = 1531,
  CaretPosition = 1556,
  CaretStateChangedEvent = 1570,
  ChannelMergerNode = 1593,
  ChannelSplitterNode = 1611,
  ChannelWrapper = 1631,
  CharacterData = 1646,
  CheckerboardReportService = 1660,
  ChildProcessMessageManager = 1686,
  ChildSHistory = 1713,
  ChromeMessageBroadcaster = 1727,
  ChromeMessageSender = 1752,
  ChromeNodeList = 1772,
  ChromeUtils = 1787,
  ChromeWorker = 1799,
  Client = 1812,
  Clients = 1819,
  Clipboard = 1827,
  ClipboardEvent = 1837,
  ClipboardItem = 1852,
  ClonedErrorHolder = 1866,
  CloseEvent = 1884,
  CommandEvent = 1895,
  Comment = 1908,
  CompositionEvent = 1916,
  CompressionStream = 1933,
  ConsoleInstance = 1951,
  ConstantSourceNode = 1967,
  ContentFrameMessageManager = 1986,
  ContentProcessMessageManager = 2013,
  ContentVisibilityAutoStateChangeEvent = 2042,
  ConvolverNode = 2080,
  CountQueuingStrategy = 2094,
  CreateOfferRequest = 2115,
  Credential = 2134,
  CredentialsContainer = 2145,
  Crypto = 2166,
  CryptoKey = 2173,
  CustomElementRegistry = 2183,
  CustomEvent = 2205,
  CustomStateSet = 2217,
  DOMException = 2232,
  DOMImplementation = 2245,
  DOMLocalization = 2263,
  DOMMatrix = 2279,
  DOMMatrixReadOnly = 2289,
  DOMParser = 2307,
  DOMPoint = 2317,
  DOMPointReadOnly = 2326,
  DOMQuad = 2343,
  DOMRect = 2351,
  DOMRectList = 2359,
  DOMRectReadOnly = 2371,
  DOMStringList = 2387,
  DOMStringMap = 2401,
  DOMTokenList = 2414,
  DataTransfer = 2427,
  DataTransferItem = 2440,
  DataTransferItemList = 2457,
  DebuggerNotification = 2478,
  DebuggerNotificationObserver = 2499,
  DecompressionStream = 2528,
  DedicatedWorkerGlobalScope = 2548,
  DelayNode = 2575,
  DeprecationReportBody = 2585,
  DeviceAcceleration = 2607,
  DeviceLightEvent = 2626,
  DeviceMotionEvent = 2643,
  DeviceOrientationEvent = 2661,
  DeviceRotationRate = 2684,
  Directory = 2703,
  Document = 2713,
  DocumentFragment = 2722,
  DocumentL10n = 2739,
  DocumentTimeline = 2752,
  DocumentType = 2769,
  DominatorTree = 2782,
  DragEvent = 2796,
  DynamicsCompressorNode = 2806,
  EXT_blend_minmax = 2829,
  EXT_color_buffer_float = 2846,
  EXT_color_buffer_half_float = 2869,
  EXT_disjoint_timer_query = 2897,
  EXT_float_blend = 2922,
  EXT_frag_depth = 2938,
  EXT_sRGB = 2953,
  EXT_shader_texture_lod = 2962,
  EXT_texture_compression_bptc = 2985,
  EXT_texture_compression_rgtc = 3014,
  EXT_texture_filter_anisotropic = 3043,
  EXT_texture_norm16 = 3074,
  Element = 3093,
  ElementInternals = 3101,
  EncodedAudioChunk = 3118,
  EncodedVideoChunk = 3136,
  ErrorEvent = 3154,
  Event = 3165,
  EventCallbackDebuggerNotification = 3171,
  EventCounts = 3205,
  EventSource = 3217,
  EventTarget = 3229,
  Exception = 3241,
  ExtendableEvent = 3251,
  ExtendableMessageEvent = 3267,
  ExtensionAlarms = 3290,
  ExtensionBrowser = 3306,
  ExtensionBrowserSettings = 3323,
  ExtensionBrowserSettingsColorManagement = 3348,
  ExtensionDns = 3388,
  ExtensionEventManager = 3401,
  ExtensionMockAPI = 3423,
  ExtensionPort = 3440,
  ExtensionProxy = 3454,
  ExtensionRuntime = 3469,
  ExtensionScripting = 3486,
  ExtensionSetting = 3505,
  ExtensionTest = 3522,
  External = 3536,
  FeaturePolicy = 3545,
  FeaturePolicyViolationReportBody = 3559,
  FetchEvent = 3592,
  FetchObserver = 3603,
  File = 3617,
  FileList = 3622,
  FileReader = 3631,
  FileReaderSync = 3642,
  FileSystem = 3657,
  FileSystemDirectoryEntry = 3668,
  FileSystemDirectoryHandle = 3693,
  FileSystemDirectoryHandle_AsyncIterator = 3719,
  FileSystemDirectoryIterator = 3759,
  FileSystemDirectoryReader = 3787,
  FileSystemEntry = 3813,
  FileSystemFileEntry = 3829,
  FileSystemFileHandle = 3849,
  FileSystemHandle = 3870,
  FileSystemSyncAccessHandle = 3887,
  FileSystemWritableFileStream = 3914,
  Flex = 3943,
  FlexItemValues = 3948,
  FlexLineValues = 3963,
  FluentBundle = 3978,
  FluentBundleAsyncIterator = 3991,
  FluentBundleIterator = 4017,
  FluentPattern = 4038,
  FluentResource = 4052,
  FocusEvent = 4067,
  FontFace = 4078,
  FontFaceSet = 4087,
  FontFaceSetIterator = 4099,
  FontFaceSetLoadEvent = 4119,
  FormData = 4140,
  FormData_Iterator = 4149,
  FormDataEvent = 4167,
  FragmentDirective = 4181,
  FrameCrashedEvent = 4199,
  FrameLoader = 4217,
  GPU = 4229,
  GPUAdapter = 4233,
  GPUAdapterInfo = 4244,
  GPUBindGroup = 4259,
  GPUBindGroupLayout = 4272,
  GPUBuffer = 4291,
  GPUBufferUsage = 4301,
  GPUCanvasContext = 4316,
  GPUColorWrite = 4333,
  GPUCommandBuffer = 4347,
  GPUCommandEncoder = 4364,
  GPUCompilationInfo = 4382,
  GPUCompilationMessage = 4401,
  GPUComputePassEncoder = 4423,
  GPUComputePipeline = 4445,
  GPUDevice = 4464,
  GPUDeviceLostInfo = 4474,
  GPUError = 4492,
  GPUInternalError = 4501,
  GPUMapMode = 4518,
  GPUOutOfMemoryError = 4529,
  GPUPipelineLayout = 4549,
  GPUQuerySet = 4567,
  GPUQueue = 4579,
  GPURenderBundle = 4588,
  GPURenderBundleEncoder = 4604,
  GPURenderPassEncoder = 4627,
  GPURenderPipeline = 4648,
  GPUSampler = 4666,
  GPUShaderModule = 4677,
  GPUShaderStage = 4693,
  GPUSupportedFeatures = 4708,
  GPUSupportedLimits = 4729,
  GPUTexture = 4748,
  GPUTextureUsage = 4759,
  GPUTextureView = 4775,
  GPUUncapturedErrorEvent = 4790,
  GPUValidationError = 4814,
  GainNode = 4833,
  Gamepad = 4842,
  GamepadAxisMoveEvent = 4850,
  GamepadButton = 4871,
  GamepadButtonEvent = 4885,
  GamepadEvent = 4904,
  GamepadHapticActuator = 4917,
  GamepadLightIndicator = 4939,
  GamepadPose = 4961,
  GamepadServiceTest = 4973,
  GamepadTouch = 4992,
  Geolocation = 5005,
  GeolocationCoordinates = 5017,
  GeolocationPosition = 5040,
  GeolocationPositionError = 5060,
  GetUserMediaRequest = 5085,
  GleanBoolean = 5105,
  GleanCategory = 5118,
  GleanCounter = 5132,
  GleanCustomDistribution = 5145,
  GleanDatetime = 5169,
  GleanDenominator = 5183,
  GleanEvent = 5200,
  GleanImpl = 5211,
  GleanLabeled = 5221,
  GleanMemoryDistribution = 5234,
  GleanMetric = 5258,
  GleanNumerator = 5270,
  GleanObject = 5285,
  GleanPingsImpl = 5297,
  GleanQuantity = 5312,
  GleanRate = 5326,
  GleanString = 5336,
  GleanStringList = 5348,
  GleanText = 5364,
  GleanTimespan = 5374,
  GleanTimingDistribution = 5388,
  GleanUrl = 5412,
  GleanUuid = 5421,
  Grid = 5431,
  GridArea = 5436,
  GridDimension = 5445,
  GridLine = 5459,
  GridLines = 5468,
  GridTrack = 5478,
  GridTracks = 5488,
  HTMLAllCollection = 5499,
  HTMLAnchorElement = 5517,
  HTMLAreaElement = 5535,
  HTMLAudioElement = 5551,
  HTMLBRElement = 5568,
  HTMLBaseElement = 5582,
  HTMLBodyElement = 5598,
  HTMLButtonElement = 5614,
  HTMLCanvasElement = 5632,
  HTMLCollection = 5650,
  HTMLDListElement = 5665,
  HTMLDataElement = 5682,
  HTMLDataListElement = 5698,
  HTMLDetailsElement = 5718,
  HTMLDialogElement = 5737,
  HTMLDirectoryElement = 5755,
  HTMLDivElement = 5776,
  HTMLDocument = 5791,
  HTMLElement = 5804,
  HTMLEmbedElement = 5816,
  HTMLFieldSetElement = 5833,
  HTMLFontElement = 5853,
  HTMLFormControlsCollection = 5869,
  HTMLFormElement = 5896,
  HTMLFrameElement = 5912,
  HTMLFrameSetElement = 5929,
  HTMLHRElement = 5949,
  HTMLHeadElement = 5963,
  HTMLHeadingElement = 5979,
  HTMLHtmlElement = 5998,
  HTMLIFrameElement = 6014,
  HTMLImageElement = 6032,
  HTMLInputElement = 6049,
  HTMLLIElement = 6066,
  HTMLLabelElement = 6080,
  HTMLLegendElement = 6097,
  HTMLLinkElement = 6115,
  HTMLMapElement = 6131,
  HTMLMarqueeElement = 6146,
  HTMLMediaElement = 6165,
  HTMLMenuElement = 6182,
  HTMLMetaElement = 6198,
  HTMLMeterElement = 6214,
  HTMLModElement = 6231,
  HTMLOListElement = 6246,
  HTMLObjectElement = 6263,
  HTMLOptGroupElement = 6281,
  HTMLOptionElement = 6301,
  HTMLOptionsCollection = 6319,
  HTMLOutputElement = 6341,
  HTMLParagraphElement = 6359,
  HTMLParamElement = 6380,
  HTMLPictureElement = 6397,
  HTMLPreElement = 6416,
  HTMLProgressElement = 6431,
  HTMLQuoteElement = 6451,
  HTMLScriptElement = 6468,
  HTMLSelectElement = 6486,
  HTMLSlotElement = 6504,
  HTMLSourceElement = 6520,
  HTMLSpanElement = 6538,
  HTMLStyleElement = 6554,
  HTMLTableCaptionElement = 6571,
  HTMLTableCellElement = 6595,
  HTMLTableColElement = 6616,
  HTMLTableElement = 6636,
  HTMLTableRowElement = 6653,
  HTMLTableSectionElement = 6673,
  HTMLTemplateElement = 6697,
  HTMLTextAreaElement = 6717,
  HTMLTimeElement = 6737,
  HTMLTitleElement = 6753,
  HTMLTrackElement = 6770,
  HTMLUListElement = 6787,
  HTMLUnknownElement = 6804,
  HTMLVideoElement = 6823,
  HashChangeEvent = 6840,
  Headers = 6856,
  Headers_Iterator = 6864,
  HeapSnapshot = 6881,
  Highlight = 6894,
  HighlightRegistry = 6904,
  History = 6922,
  IDBCursor = 6930,
  IDBCursorWithValue = 6940,
  IDBDatabase = 6959,
  IDBFactory = 6971,
  IDBIndex = 6982,
  IDBKeyRange = 6991,
  IDBObjectStore = 7003,
  IDBOpenDBRequest = 7018,
  IDBRequest = 7035,
  IDBTransaction = 7046,
  IDBVersionChangeEvent = 7061,
  IIRFilterNode = 7083,
  IOUtils = 7097,
  IdentityCredential = 7105,
  IdleDeadline = 7124,
  Image = 7137,
  ImageBitmap = 7143,
  ImageBitmapRenderingContext = 7155,
  ImageCapture = 7183,
  ImageCaptureError = 7196,
  ImageCaptureErrorEvent = 7214,
  ImageData = 7237,
  ImageDocument = 7247,
  InputEvent = 7261,
  InspectorCSSParser = 7272,
  InspectorFontFace = 7291,
  InspectorUtils = 7309,
  InstallTriggerImpl = 7324,
  IntersectionObserver = 7343,
  IntersectionObserverEntry = 7364,
  IntlUtils = 7390,
  InvokeEvent = 7400,
  JSProcessActorChild = 7412,
  JSProcessActorParent = 7432,
  JSWindowActorChild = 7453,
  JSWindowActorParent = 7472,
  KeyEvent = 7492,
  KeyboardEvent = 7501,
  KeyframeEffect = 7515,
  L10nFileSource = 7530,
  L10nOverlays = 7545,
  L10nRegistry = 7558,
  LargestContentfulPaint = 7571,
  LegacyMozTCPSocket = 7594,
  Localization = 7613,
  Location = 7626,
  Lock = 7635,
  LockManager = 7640,
  MIDIAccess = 7652,
  MIDIConnectionEvent = 7663,
  MIDIInput = 7683,
  MIDIInputMap = 7693,
  MIDIMessageEvent = 7706,
  MIDIOutput = 7723,
  MIDIOutputMap = 7734,
  MIDIPort = 7748,
  MOZ_debug = 7757,
  MatchGlob = 7767,
  MatchPattern = 7777,
  MatchPatternSet = 7790,
  MathMLElement = 7806,
  MediaCapabilities = 7820,
  MediaControlService = 7838,
  MediaController = 7858,
  MediaDeviceInfo = 7874,
  MediaDevices = 7890,
  MediaElementAudioSourceNode = 7903,
  MediaEncryptedEvent = 7931,
  MediaError = 7951,
  MediaKeyError = 7962,
  MediaKeyMessageEvent = 7976,
  MediaKeySession = 7997,
  MediaKeyStatusMap = 8013,
  MediaKeyStatusMap_Iterator = 8031,
  MediaKeySystemAccess = 8058,
  MediaKeys = 8079,
  MediaList = 8089,
  MediaMetadata = 8099,
  MediaQueryList = 8113,
  MediaQueryListEvent = 8128,
  MediaRecorder = 8148,
  MediaRecorderErrorEvent = 8162,
  MediaSession = 8186,
  MediaSource = 8199,
  MediaStream = 8211,
  MediaStreamAudioDestinationNode = 8223,
  MediaStreamAudioSourceNode = 8255,
  MediaStreamError = 8282,
  MediaStreamEvent = 8299,
  MediaStreamTrack = 8316,
  MediaStreamTrackAudioSourceNode = 8333,
  MediaStreamTrackEvent = 8365,
  MerchantValidationEvent = 8387,
  MessageBroadcaster = 8411,
  MessageChannel = 8430,
  MessageEvent = 8445,
  MessageListenerManager = 8458,
  MessagePort = 8481,
  MessageSender = 8493,
  MimeType = 8507,
  MimeTypeArray = 8516,
  MouseEvent = 8530,
  MouseScrollEvent = 8541,
  MozCanvasPrintState = 8558,
  MozDocumentMatcher = 8578,
  MozDocumentObserver = 8597,
  MozQueryInterface = 8617,
  MozSharedMap = 8635,
  MozSharedMap_Iterator = 8648,
  MozSharedMapChangeEvent = 8670,
  MozStorageAsyncStatementParams = 8694,
  MozStorageStatementParams = 8725,
  MozStorageStatementRow = 8751,
  MozWritableSharedMap = 8774,
  MutationEvent = 8795,
  MutationObserver = 8809,
  MutationRecord = 8826,
  NamedNodeMap = 8841,
  NavigationPreloadManager = 8854,
  Navigator = 8879,
  NetworkInformation = 8889,
  Node = 8908,
  NodeFilter = 8913,
  NodeIterator = 8924,
  NodeList = 8937,
  Notification = 8946,
  NotificationEvent = 8959,
  NotifyPaintEvent = 8977,
  OES_draw_buffers_indexed = 8994,
  OES_element_index_uint = 9019,
  OES_fbo_render_mipmap = 9042,
  OES_standard_derivatives = 9064,
  OES_texture_float = 9089,
  OES_texture_float_linear = 9107,
  OES_texture_half_float = 9132,
  OES_texture_half_float_linear = 9155,
  OES_vertex_array_object = 9185,
  OVR_multiview2 = 9209,
  OfflineAudioCompletionEvent = 9224,
  OfflineAudioContext = 9252,
  OffscreenCanvas = 9272,
  OffscreenCanvasRenderingContext2D = 9288,
  OnlyForUseInConstructor = 9322,
  Option = 9346,
  OscillatorNode = 9353,
  PageTransitionEvent = 9368,
  PaintRequest = 9388,
  PaintRequestList = 9401,
  PaintWorkletGlobalScope = 9418,
  PannerNode = 9442,
  ParentProcessMessageManager = 9453,
  Path2D = 9481,
  PathUtils = 9488,
  PaymentAddress = 9498,
  PaymentMethodChangeEvent = 9513,
  PaymentRequest = 9538,
  PaymentRequestUpdateEvent = 9553,
  PaymentResponse = 9579,
  PeerConnectionImpl = 9595,
  PeerConnectionObserver = 9614,
  Performance = 9637,
  PerformanceEntry = 9649,
  PerformanceEntryEvent = 9666,
  PerformanceEventTiming = 9688,
  PerformanceMark = 9711,
  PerformanceMeasure = 9727,
  PerformanceNavigation = 9746,
  PerformanceNavigationTiming = 9768,
  PerformanceObserver = 9796,
  PerformanceObserverEntryList = 9816,
  PerformancePaintTiming = 9845,
  PerformanceResourceTiming = 9868,
  PerformanceServerTiming = 9894,
  PerformanceTiming = 9918,
  PeriodicWave = 9936,
  PermissionStatus = 9949,
  Permissions = 9966,
  PlacesBookmark = 9978,
  PlacesBookmarkAddition = 9993,
  PlacesBookmarkChanged = 10016,
  PlacesBookmarkGuid = 10038,
  PlacesBookmarkKeyword = 10057,
  PlacesBookmarkMoved = 10079,
  PlacesBookmarkRemoved = 10099,
  PlacesBookmarkTags = 10121,
  PlacesBookmarkTime = 10140,
  PlacesBookmarkTitle = 10159,
  PlacesBookmarkUrl = 10179,
  PlacesEvent = 10197,
  PlacesEventCounts = 10209,
  PlacesFavicon = 10227,
  PlacesHistoryCleared = 10241,
  PlacesObservers = 10262,
  PlacesPurgeCaches = 10278,
  PlacesRanking = 10296,
  PlacesVisit = 10310,
  PlacesVisitRemoved = 10322,
  PlacesVisitTitle = 10341,
  PlacesWeakCallbackWrapper = 10358,
  Plugin = 10384,
  PluginArray = 10391,
  PluginCrashedEvent = 10403,
  PointerEvent = 10422,
  PopStateEvent = 10435,
  PopupBlockedEvent = 10449,
  PopupPositionedEvent = 10467,
  PositionStateEvent = 10488,
  PrecompiledScript = 10507,
  PrivateAttribution = 10525,
  ProcessMessageManager = 10544,
  ProcessingInstruction = 10566,
  ProgressEvent = 10588,
  PromiseDebugging = 10602,
  PromiseNativeHandler = 10619,
  PromiseRejectionEvent = 10640,
  PublicKeyCredential = 10662,
  PushEvent = 10682,
  PushManager = 10692,
  PushManagerImpl = 10704,
  PushMessageData = 10720,
  PushSubscription = 10736,
  PushSubscriptionOptions = 10753,
  RTCCertificate = 10777,
  RTCDTMFSender = 10792,
  RTCDTMFToneChangeEvent = 10806,
  RTCDataChannel = 10829,
  RTCDataChannelEvent = 10844,
  RTCDtlsTransport = 10864,
  RTCEncodedAudioFrame = 10881,
  RTCEncodedVideoFrame = 10902,
  RTCIceCandidate = 10923,
  RTCIceTransport = 10939,
  RTCIdentityProviderRegistrar = 10955,
  RTCPeerConnection = 10984,
  RTCPeerConnectionIceEvent = 11002,
  RTCPeerConnectionStatic = 11028,
  RTCRtpReceiver = 11052,
  RTCRtpScriptTransform = 11067,
  RTCRtpScriptTransformer = 11089,
  RTCRtpSender = 11113,
  RTCRtpTransceiver = 11126,
  RTCSctpTransport = 11144,
  RTCSessionDescription = 11161,
  RTCStatsReport = 11183,
  RTCTrackEvent = 11198,
  RTCTransformEvent = 11212,
  RadioNodeList = 11230,
  Range = 11244,
  ReadableByteStreamController = 11250,
  ReadableStream = 11279,
  ReadableStream_AsyncIterator = 11294,
  ReadableStreamBYOBReader = 11323,
  ReadableStreamBYOBRequest = 11348,
  ReadableStreamDefaultController = 11374,
  ReadableStreamDefaultReader = 11406,
  Report = 11434,
  ReportBody = 11441,
  ReportingObserver = 11452,
  Request = 11470,
  ResizeObserver = 11478,
  ResizeObserverEntry = 11493,
  ResizeObserverSize = 11513,
  Response = 11532,
  SVGAElement = 11541,
  SVGAngle = 11553,
  SVGAnimateElement = 11562,
  SVGAnimateMotionElement = 11580,
  SVGAnimateTransformElement = 11604,
  SVGAnimatedAngle = 11631,
  SVGAnimatedBoolean = 11648,
  SVGAnimatedEnumeration = 11667,
  SVGAnimatedInteger = 11690,
  SVGAnimatedLength = 11709,
  SVGAnimatedLengthList = 11727,
  SVGAnimatedNumber = 11749,
  SVGAnimatedNumberList = 11767,
  SVGAnimatedPreserveAspectRatio = 11789,
  SVGAnimatedRect = 11820,
  SVGAnimatedString = 11836,
  SVGAnimatedTransformList = 11854,
  SVGAnimationElement = 11879,
  SVGCircleElement = 11899,
  SVGClipPathElement = 11916,
  SVGComponentTransferFunctionElement = 11935,
  SVGDefsElement = 11971,
  SVGDescElement = 11986,
  SVGElement = 12001,
  SVGEllipseElement = 12012,
  SVGFEBlendElement = 12030,
  SVGFEColorMatrixElement = 12048,
  SVGFEComponentTransferElement = 12072,
  SVGFECompositeElement = 12102,
  SVGFEConvolveMatrixElement = 12124,
  SVGFEDiffuseLightingElement = 12151,
  SVGFEDisplacementMapElement = 12179,
  SVGFEDistantLightElement = 12207,
  SVGFEDropShadowElement = 12232,
  SVGFEFloodElement = 12255,
  SVGFEFuncAElement = 12273,
  SVGFEFuncBElement = 12291,
  SVGFEFuncGElement = 12309,
  SVGFEFuncRElement = 12327,
  SVGFEGaussianBlurElement = 12345,
  SVGFEImageElement = 12370,
  SVGFEMergeElement = 12388,
  SVGFEMergeNodeElement = 12406,
  SVGFEMorphologyElement = 12428,
  SVGFEOffsetElement = 12451,
  SVGFEPointLightElement = 12470,
  SVGFESpecularLightingElement = 12493,
  SVGFESpotLightElement = 12522,
  SVGFETileElement = 12544,
  SVGFETurbulenceElement = 12561,
  SVGFilterElement = 12584,
  SVGForeignObjectElement = 12601,
  SVGGElement = 12625,
  SVGGeometryElement = 12637,
  SVGGradientElement = 12656,
  SVGGraphicsElement = 12675,
  SVGImageElement = 12694,
  SVGLength = 12710,
  SVGLengthList = 12720,
  SVGLineElement = 12734,
  SVGLinearGradientElement = 12749,
  SVGMPathElement = 12774,
  SVGMarkerElement = 12790,
  SVGMaskElement = 12807,
  SVGMatrix = 12822,
  SVGMetadataElement = 12832,
  SVGNumber = 12851,
  SVGNumberList = 12861,
  SVGPathElement = 12875,
  SVGPatternElement = 12890,
  SVGPoint = 12908,
  SVGPointList = 12917,
  SVGPolygonElement = 12930,
  SVGPolylineElement = 12948,
  SVGPreserveAspectRatio = 12967,
  SVGRadialGradientElement = 12990,
  SVGRect = 13015,
  SVGRectElement = 13023,
  SVGSVGElement = 13038,
  SVGScriptElement = 13052,
  SVGSetElement = 13069,
  SVGStopElement = 13083,
  SVGStringList = 13098,
  SVGStyleElement = 13112,
  SVGSwitchElement = 13128,
  SVGSymbolElement = 13145,
  SVGTSpanElement = 13162,
  SVGTextContentElement = 13178,
  SVGTextElement = 13200,
  SVGTextPathElement = 13215,
  SVGTextPositioningElement = 13234,
  SVGTitleElement = 13260,
  SVGTransform = 13276,
  SVGTransformList = 13289,
  SVGUnitTypes = 13306,
  SVGUseElement = 13319,
  SVGViewElement = 13333,
  Sanitizer = 13348,
  Scheduler = 13358,
  Screen = 13368,
  ScreenLuminance = 13375,
  ScreenOrientation = 13391,
  ScriptProcessorNode = 13409,
  ScrollAreaEvent = 13429,
  ScrollViewChangeEvent = 13445,
  SecurityPolicyViolationEvent = 13467,
  Selection = 13496,
  ServiceWorker = 13506,
  ServiceWorkerContainer = 13520,
  ServiceWorkerGlobalScope = 13543,
  ServiceWorkerRegistration = 13568,
  SessionStoreFormData = 13594,
  SessionStoreScrollData = 13615,
  SessionStoreUtils = 13638,
  ShadowRealmGlobalScope = 13656,
  ShadowRoot = 13679,
  SharedWorker = 13690,
  SharedWorkerGlobalScope = 13703,
  SimpleGestureEvent = 13727,
  SourceBuffer = 13746,
  SourceBufferList = 13759,
  SpeechGrammar = 13776,
  SpeechGrammarList = 13790,
  SpeechRecognition = 13808,
  SpeechRecognitionAlternative = 13826,
  SpeechRecognitionError = 13855,
  SpeechRecognitionEvent = 13878,
  SpeechRecognitionResult = 13901,
  SpeechRecognitionResultList = 13925,
  SpeechSynthesis = 13953,
  SpeechSynthesisErrorEvent = 13969,
  SpeechSynthesisEvent = 13995,
  SpeechSynthesisUtterance = 14016,
  SpeechSynthesisVoice = 14041,
  StaticRange = 14062,
  StereoPannerNode = 14074,
  Storage = 14091,
  StorageEvent = 14099,
  StorageManager = 14112,
  StreamFilter = 14127,
  StreamFilterDataEvent = 14140,
  StructuredCloneHolder = 14162,
  StructuredCloneTester = 14184,
  StyleSheet = 14206,
  StyleSheetApplicableStateChangeEvent = 14217,
  StyleSheetList = 14254,
  StyleSheetRemovedEvent = 14269,
  SubmitEvent = 14292,
  SubtleCrypto = 14304,
  SyncMessageSender = 14317,
  SyncReadFile = 14335,
  TCPServerSocket = 14348,
  TCPServerSocketEvent = 14364,
  TCPSocket = 14385,
  TCPSocketErrorEvent = 14395,
  TCPSocketEvent = 14415,
  TaskController = 14430,
  TaskPriorityChangeEvent = 14445,
  TaskSignal = 14469,
  TelemetryStopwatch = 14480,
  TestAttributesOnTypes = 14499,
  TestCEReactionsInterface = 14521,
  TestCImplementedInterface = 14546,
  TestCImplementedInterface2 = 14572,
  TestCallbackDictUnionOverload = 14599,
  TestChildInterface = 14629,
  TestConstructorForFuncInterface = 14648,
  TestConstructorForPrefInterface = 14680,
  TestConstructorForSCInterface = 14712,
  TestCppKeywordNamedMethodsInterface = 14742,
  TestDeprecatedInterface = 14778,
  TestExampleInterface = 14802,
  TestExampleProxyInterface = 14823,
  TestExampleThrowingConstructorInterface = 14849,
  TestExampleWorkerInterface = 14889,
  TestFuncConstructorForDifferentFuncInterface = 14916,
  TestFuncConstructorForInterface = 14961,
  TestHTMLConstructorInterface = 14993,
  TestIndexedAndNamedGetterAndSetterInterface = 15022,
  TestIndexedAndNamedGetterInterface = 15066,
  TestIndexedAndNamedSetterInterface = 15101,
  TestIndexedGetterAndSetterAndNamedGetterInterface = 15136,
  TestIndexedGetterInterface = 15186,
  TestIndexedSetterInterface = 15213,
  TestInterface = 15240,
  TestInterfaceWithPromiseConstructorArg = 15254,
  TestJSImplInterface = 15293,
  TestJSImplInterface2 = 15313,
  TestJSImplInterface3 = 15334,
  TestJSImplInterface4 = 15355,
  TestJSImplInterface5 = 15376,
  TestJSImplInterface6 = 15397,
  TestJSImplNoInterfaceObject = 15418,
  TestLegacyFactoryFunctionInterface = 15446,
  TestLegacyFactoryFunctionInterface2 = 15481,
  TestNamedDeleterInterface = 15517,
  TestNamedDeleterWithRetvalInterface = 15543,
  TestNamedGetterInterface = 15579,
  TestNamedSetterInterface = 15604,
  TestNamespace = 15629,
  TestNonWrapperCacheInterface = 15643,
  TestParentInterface = 15672,
  TestPrefChromeOnlySCFuncConstructorForInterface = 15692,
  TestPrefConstructorForDifferentPrefInterface = 15740,
  TestPrefConstructorForInterface = 15785,
  TestProtoObjectHackedNamespace = 15817,
  TestRenamedInterface = 15848,
  TestRenamedNamespace = 15869,
  TestSCConstructorForInterface = 15890,
  TestSecureContextInterface = 15920,
  TestThrowingConstructorInterface = 15947,
  TestUtils = 15980,
  TestWorkerExposedInterface = 15990,
  TestingDeprecatedInterface = 16017,
  Text = 16044,
  TextClause = 16049,
  TextDecoder = 16060,
  TextDecoderStream = 16072,
  TextEncoder = 16090,
  TextEncoderStream = 16102,
  TextEvent = 16120,
  TextMetrics = 16130,
  TextTrack = 16142,
  TextTrackCue = 16152,
  TextTrackCueList = 16165,
  TextTrackList = 16182,
  TimeEvent = 16196,
  TimeRanges = 16206,
  ToggleEvent = 16217,
  Touch = 16229,
  TouchEvent = 16235,
  TouchList = 16246,
  TrackEvent = 16256,
  TransformStream = 16267,
  TransformStreamDefaultController = 16283,
  TransitionEvent = 16316,
  TreeColumn = 16332,
  TreeColumns = 16343,
  TreeContentView = 16355,
  TreeWalker = 16371,
  TrustedHTML = 16382,
  TrustedScript = 16394,
  TrustedScriptURL = 16408,
  TrustedTypePolicy = 16425,
  TrustedTypePolicyFactory = 16443,
  UDPMessageEvent = 16468,
  UDPSocket = 16484,
  UIEvent = 16494,
  URL = 16502,
  URLSearchParams = 16506,
  URLSearchParams_Iterator = 16522,
  UniFFIPointer = 16547,
  UniFFIScaffolding = 16561,
  UserActivation = 16579,
  UserInteraction = 16594,
  UserProximityEvent = 16610,
  VRDisplay = 16629,
  VRDisplayCapabilities = 16639,
  VRDisplayEvent = 16661,
  VREyeParameters = 16676,
  VRFieldOfView = 16692,
  VRFrameData = 16706,
  VRMockController = 16718,
  VRMockDisplay = 16735,
  VRPose = 16749,
  VRServiceTest = 16756,
  VRStageParameters = 16770,
  VTTCue = 16788,
  VTTRegion = 16795,
  ValidityState = 16805,
  VideoColorSpace = 16819,
  VideoDecoder = 16835,
  VideoEncoder = 16848,
  VideoFrame = 16861,
  VideoPlaybackQuality = 16872,
  VideoTrack = 16893,
  VideoTrackList = 16904,
  VisualViewport = 16919,
  WEBGL_color_buffer_float = 16934,
  WEBGL_compressed_texture_astc = 16959,
  WEBGL_compressed_texture_etc = 16989,
  WEBGL_compressed_texture_etc1 = 17018,
  WEBGL_compressed_texture_pvrtc = 17048,
  WEBGL_compressed_texture_s3tc = 17079,
  WEBGL_compressed_texture_s3tc_srgb = 17109,
  WEBGL_debug_renderer_info = 17144,
  WEBGL_debug_shaders = 17170,
  WEBGL_depth_texture = 17190,
  WEBGL_draw_buffers = 17210,
  WEBGL_explicit_present = 17229,
  WEBGL_lose_context = 17252,
  WEBGL_provoking_vertex = 17271,
  WakeLock = 17294,
  WakeLockSentinel = 17303,
  WaveShaperNode = 17320,
  WebExtensionContentScript = 17335,
  WebExtensionPolicy = 17361,
  WebGL2RenderingContext = 17380,
  WebGLActiveInfo = 17403,
  WebGLBuffer = 17419,
  WebGLContextEvent = 17431,
  WebGLFramebuffer = 17449,
  WebGLProgram = 17466,
  WebGLQuery = 17479,
  WebGLRenderbuffer = 17490,
  WebGLRenderingContext = 17508,
  WebGLSampler = 17530,
  WebGLShader = 17543,
  WebGLShaderPrecisionFormat = 17555,
  WebGLSync = 17582,
  WebGLTexture = 17592,
  WebGLTransformFeedback = 17605,
  WebGLUniformLocation = 17628,
  WebGLVertexArrayObject = 17649,
  WebKitCSSMatrix = 17672,
  WebSocket = 17688,
  WebTransport = 17698,
  WebTransportBidirectionalStream = 17711,
  WebTransportDatagramDuplexStream = 17743,
  WebTransportError = 17776,
  WebTransportReceiveStream = 17794,
  WebTransportSendStream = 17820,
  WebrtcGlobalInformation = 17843,
  WheelEvent = 17867,
  Window = 17878,
  WindowClient = 17885,
  WindowContext = 17898,
  WindowGlobalChild = 17912,
  WindowGlobalParent = 17930,
  WindowRoot = 17949,
  Worker = 17960,
  WorkerDebuggerGlobalScope = 17967,
  WorkerGlobalScope = 17993,
  WorkerLocation = 18011,
  WorkerNavigator = 18026,
  WorkerTestUtils = 18042,
  Worklet = 18058,
  WorkletGlobalScope = 18066,
  WritableStream = 18085,
  WritableStreamDefaultController = 18100,
  WritableStreamDefaultWriter = 18132,
  XMLDocument = 18160,
  XMLHttpRequest = 18172,
  XMLHttpRequestEventTarget = 18187,
  XMLHttpRequestUpload = 18213,
  XMLSerializer = 18234,
  XPathEvaluator = 18248,
  XPathExpression = 18263,
  XPathResult = 18279,
  XRBoundedReferenceSpace = 18291,
  XRFrame = 18315,
  XRInputSource = 18323,
  XRInputSourceArray = 18337,
  XRInputSourceEvent = 18356,
  XRInputSourcesChangeEvent = 18375,
  XRPose = 18401,
  XRReferenceSpace = 18408,
  XRReferenceSpaceEvent = 18425,
  XRRenderState = 18447,
  XRRigidTransform = 18461,
  XRSession = 18478,
  XRSessionEvent = 18488,
  XRSpace = 18503,
  XRSystem = 18511,
  XRView = 18520,
  XRViewerPose = 18527,
  XRViewport = 18540,
  XRWebGLLayer = 18551,
  XSLTProcessor = 18564,
  XULCommandEvent = 18578,
  XULElement = 18594,
  XULFrameElement = 18605,
  XULMenuElement = 18621,
  XULPopupElement = 18636,
  XULResizerElement = 18652,
  XULTextElement = 18670,
  XULTreeElement = 18685,
  console = 18700,
  webkitSpeechGrammar = 18708,
  webkitSpeechGrammarList = 18728,
  webkitSpeechRecognition = 18752,
  webkitURL = 18776,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
