#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSS" "\0"
  /*   862 */ "CSS2Properties" "\0"
  /*   877 */ "CSSAnimation" "\0"
  /*   890 */ "CSSConditionRule" "\0"
  /*   907 */ "CSSContainerRule" "\0"
  /*   924 */ "CSSCounterStyleRule" "\0"
  /*   944 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*   977 */ "CSSFontFaceRule" "\0"
  /*   993 */ "CSSFontFeatureValuesRule" "\0"
  /*  1018 */ "CSSFontPaletteValuesRule" "\0"
  /*  1043 */ "CSSGroupingRule" "\0"
  /*  1059 */ "CSSImportRule" "\0"
  /*  1073 */ "CSSKeyframeRule" "\0"
  /*  1089 */ "CSSKeyframesRule" "\0"
  /*  1106 */ "CSSLayerBlockRule" "\0"
  /*  1124 */ "CSSLayerStatementRule" "\0"
  /*  1146 */ "CSSMarginRule" "\0"
  /*  1160 */ "CSSMediaRule" "\0"
  /*  1173 */ "CSSMozDocumentRule" "\0"
  /*  1192 */ "CSSNamespaceRule" "\0"
  /*  1209 */ "CSSPageDescriptors" "\0"
  /*  1228 */ "CSSPageRule" "\0"
  /*  1240 */ "CSSPropertyRule" "\0"
  /*  1256 */ "CSSPseudoElement" "\0"
  /*  1273 */ "CSSRule" "\0"
  /*  1281 */ "CSSRuleList" "\0"
  /*  1293 */ "CSSScopeRule" "\0"
  /*  1306 */ "CSSStartingStyleRule" "\0"
  /*  1327 */ "CSSStyleDeclaration" "\0"
  /*  1347 */ "CSSStyleRule" "\0"
  /*  1360 */ "CSSStyleSheet" "\0"
  /*  1374 */ "CSSSupportsRule" "\0"
  /*  1390 */ "CSSTransition" "\0"
  /*  1404 */ "Cache" "\0"
  /*  1410 */ "CacheStorage" "\0"
  /*  1423 */ "CallbackDebuggerNotification" "\0"
  /*  1452 */ "CanonicalBrowsingContext" "\0"
  /*  1477 */ "CanvasCaptureMediaStream" "\0"
  /*  1502 */ "CanvasGradient" "\0"
  /*  1517 */ "CanvasPattern" "\0"
  /*  1531 */ "CanvasRenderingContext2D" "\0"
  /*  1556 */ "CaretPosition" "\0"
  /*  1570 */ "CaretStateChangedEvent" "\0"
  /*  1593 */ "ChannelMergerNode" "\0"
  /*  1611 */ "ChannelSplitterNode" "\0"
  /*  1631 */ "ChannelWrapper" "\0"
  /*  1646 */ "CharacterData" "\0"
  /*  1660 */ "CheckerboardReportService" "\0"
  /*  1686 */ "ChildProcessMessageManager" "\0"
  /*  1713 */ "ChildSHistory" "\0"
  /*  1727 */ "ChromeMessageBroadcaster" "\0"
  /*  1752 */ "ChromeMessageSender" "\0"
  /*  1772 */ "ChromeNodeList" "\0"
  /*  1787 */ "ChromeUtils" "\0"
  /*  1799 */ "ChromeWorker" "\0"
  /*  1812 */ "Client" "\0"
  /*  1819 */ "Clients" "\0"
  /*  1827 */ "Clipboard" "\0"
  /*  1837 */ "ClipboardEvent" "\0"
  /*  1852 */ "ClipboardItem" "\0"
  /*  1866 */ "ClonedErrorHolder" "\0"
  /*  1884 */ "CloseEvent" "\0"
  /*  1895 */ "CommandEvent" "\0"
  /*  1908 */ "Comment" "\0"
  /*  1916 */ "CompositionEvent" "\0"
  /*  1933 */ "CompressionStream" "\0"
  /*  1951 */ "ConsoleInstance" "\0"
  /*  1967 */ "ConstantSourceNode" "\0"
  /*  1986 */ "ContentFrameMessageManager" "\0"
  /*  2013 */ "ContentProcessMessageManager" "\0"
  /*  2042 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2080 */ "ConvolverNode" "\0"
  /*  2094 */ "CountQueuingStrategy" "\0"
  /*  2115 */ "CreateOfferRequest" "\0"
  /*  2134 */ "Credential" "\0"
  /*  2145 */ "CredentialsContainer" "\0"
  /*  2166 */ "Crypto" "\0"
  /*  2173 */ "CryptoKey" "\0"
  /*  2183 */ "CustomElementRegistry" "\0"
  /*  2205 */ "CustomEvent" "\0"
  /*  2217 */ "CustomStateSet" "\0"
  /*  2232 */ "DOMException" "\0"
  /*  2245 */ "DOMImplementation" "\0"
  /*  2263 */ "DOMLocalization" "\0"
  /*  2279 */ "DOMMatrix" "\0"
  /*  2289 */ "DOMMatrixReadOnly" "\0"
  /*  2307 */ "DOMParser" "\0"
  /*  2317 */ "DOMPoint" "\0"
  /*  2326 */ "DOMPointReadOnly" "\0"
  /*  2343 */ "DOMQuad" "\0"
  /*  2351 */ "DOMRect" "\0"
  /*  2359 */ "DOMRectList" "\0"
  /*  2371 */ "DOMRectReadOnly" "\0"
  /*  2387 */ "DOMStringList" "\0"
  /*  2401 */ "DOMStringMap" "\0"
  /*  2414 */ "DOMTokenList" "\0"
  /*  2427 */ "DataTransfer" "\0"
  /*  2440 */ "DataTransferItem" "\0"
  /*  2457 */ "DataTransferItemList" "\0"
  /*  2478 */ "DebuggerNotification" "\0"
  /*  2499 */ "DebuggerNotificationObserver" "\0"
  /*  2528 */ "DecompressionStream" "\0"
  /*  2548 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2575 */ "DelayNode" "\0"
  /*  2585 */ "DeprecationReportBody" "\0"
  /*  2607 */ "DeviceAcceleration" "\0"
  /*  2626 */ "DeviceLightEvent" "\0"
  /*  2643 */ "DeviceMotionEvent" "\0"
  /*  2661 */ "DeviceOrientationEvent" "\0"
  /*  2684 */ "DeviceRotationRate" "\0"
  /*  2703 */ "Directory" "\0"
  /*  2713 */ "Document" "\0"
  /*  2722 */ "DocumentFragment" "\0"
  /*  2739 */ "DocumentL10n" "\0"
  /*  2752 */ "DocumentTimeline" "\0"
  /*  2769 */ "DocumentType" "\0"
  /*  2782 */ "DominatorTree" "\0"
  /*  2796 */ "DragEvent" "\0"
  /*  2806 */ "DynamicsCompressorNode" "\0"
  /*  2829 */ "EXT_blend_minmax" "\0"
  /*  2846 */ "EXT_color_buffer_float" "\0"
  /*  2869 */ "EXT_color_buffer_half_float" "\0"
  /*  2897 */ "EXT_disjoint_timer_query" "\0"
  /*  2922 */ "EXT_float_blend" "\0"
  /*  2938 */ "EXT_frag_depth" "\0"
  /*  2953 */ "EXT_sRGB" "\0"
  /*  2962 */ "EXT_shader_texture_lod" "\0"
  /*  2985 */ "EXT_texture_compression_bptc" "\0"
  /*  3014 */ "EXT_texture_compression_rgtc" "\0"
  /*  3043 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3074 */ "EXT_texture_norm16" "\0"
  /*  3093 */ "Element" "\0"
  /*  3101 */ "ElementInternals" "\0"
  /*  3118 */ "EncodedAudioChunk" "\0"
  /*  3136 */ "EncodedVideoChunk" "\0"
  /*  3154 */ "ErrorEvent" "\0"
  /*  3165 */ "Event" "\0"
  /*  3171 */ "EventCallbackDebuggerNotification" "\0"
  /*  3205 */ "EventCounts" "\0"
  /*  3217 */ "EventSource" "\0"
  /*  3229 */ "EventTarget" "\0"
  /*  3241 */ "Exception" "\0"
  /*  3251 */ "ExtendableEvent" "\0"
  /*  3267 */ "ExtendableMessageEvent" "\0"
  /*  3290 */ "ExtensionAlarms" "\0"
  /*  3306 */ "ExtensionBrowser" "\0"
  /*  3323 */ "ExtensionBrowserSettings" "\0"
  /*  3348 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3388 */ "ExtensionDns" "\0"
  /*  3401 */ "ExtensionEventManager" "\0"
  /*  3423 */ "ExtensionMockAPI" "\0"
  /*  3440 */ "ExtensionPort" "\0"
  /*  3454 */ "ExtensionProxy" "\0"
  /*  3469 */ "ExtensionRuntime" "\0"
  /*  3486 */ "ExtensionScripting" "\0"
  /*  3505 */ "ExtensionSetting" "\0"
  /*  3522 */ "ExtensionTest" "\0"
  /*  3536 */ "External" "\0"
  /*  3545 */ "FeaturePolicy" "\0"
  /*  3559 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3592 */ "FetchEvent" "\0"
  /*  3603 */ "FetchObserver" "\0"
  /*  3617 */ "File" "\0"
  /*  3622 */ "FileList" "\0"
  /*  3631 */ "FileReader" "\0"
  /*  3642 */ "FileReaderSync" "\0"
  /*  3657 */ "FileSystem" "\0"
  /*  3668 */ "FileSystemDirectoryEntry" "\0"
  /*  3693 */ "FileSystemDirectoryHandle" "\0"
  /*  3719 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3759 */ "FileSystemDirectoryIterator" "\0"
  /*  3787 */ "FileSystemDirectoryReader" "\0"
  /*  3813 */ "FileSystemEntry" "\0"
  /*  3829 */ "FileSystemFileEntry" "\0"
  /*  3849 */ "FileSystemFileHandle" "\0"
  /*  3870 */ "FileSystemHandle" "\0"
  /*  3887 */ "FileSystemSyncAccessHandle" "\0"
  /*  3914 */ "FileSystemWritableFileStream" "\0"
  /*  3943 */ "Flex" "\0"
  /*  3948 */ "FlexItemValues" "\0"
  /*  3963 */ "FlexLineValues" "\0"
  /*  3978 */ "FluentBundle" "\0"
  /*  3991 */ "FluentBundleAsyncIterator" "\0"
  /*  4017 */ "FluentBundleIterator" "\0"
  /*  4038 */ "FluentPattern" "\0"
  /*  4052 */ "FluentResource" "\0"
  /*  4067 */ "FocusEvent" "\0"
  /*  4078 */ "FontFace" "\0"
  /*  4087 */ "FontFaceSet" "\0"
  /*  4099 */ "FontFaceSetIterator" "\0"
  /*  4119 */ "FontFaceSetLoadEvent" "\0"
  /*  4140 */ "FormData" "\0"
  /*  4149 */ "FormData Iterator" "\0"
  /*  4167 */ "FormDataEvent" "\0"
  /*  4181 */ "FragmentDirective" "\0"
  /*  4199 */ "FrameCrashedEvent" "\0"
  /*  4217 */ "FrameLoader" "\0"
  /*  4229 */ "GPU" "\0"
  /*  4233 */ "GPUAdapter" "\0"
  /*  4244 */ "GPUAdapterInfo" "\0"
  /*  4259 */ "GPUBindGroup" "\0"
  /*  4272 */ "GPUBindGroupLayout" "\0"
  /*  4291 */ "GPUBuffer" "\0"
  /*  4301 */ "GPUBufferUsage" "\0"
  /*  4316 */ "GPUCanvasContext" "\0"
  /*  4333 */ "GPUColorWrite" "\0"
  /*  4347 */ "GPUCommandBuffer" "\0"
  /*  4364 */ "GPUCommandEncoder" "\0"
  /*  4382 */ "GPUCompilationInfo" "\0"
  /*  4401 */ "GPUCompilationMessage" "\0"
  /*  4423 */ "GPUComputePassEncoder" "\0"
  /*  4445 */ "GPUComputePipeline" "\0"
  /*  4464 */ "GPUDevice" "\0"
  /*  4474 */ "GPUDeviceLostInfo" "\0"
  /*  4492 */ "GPUError" "\0"
  /*  4501 */ "GPUInternalError" "\0"
  /*  4518 */ "GPUMapMode" "\0"
  /*  4529 */ "GPUOutOfMemoryError" "\0"
  /*  4549 */ "GPUPipelineLayout" "\0"
  /*  4567 */ "GPUQuerySet" "\0"
  /*  4579 */ "GPUQueue" "\0"
  /*  4588 */ "GPURenderBundle" "\0"
  /*  4604 */ "GPURenderBundleEncoder" "\0"
  /*  4627 */ "GPURenderPassEncoder" "\0"
  /*  4648 */ "GPURenderPipeline" "\0"
  /*  4666 */ "GPUSampler" "\0"
  /*  4677 */ "GPUShaderModule" "\0"
  /*  4693 */ "GPUShaderStage" "\0"
  /*  4708 */ "GPUSupportedFeatures" "\0"
  /*  4729 */ "GPUSupportedLimits" "\0"
  /*  4748 */ "GPUTexture" "\0"
  /*  4759 */ "GPUTextureUsage" "\0"
  /*  4775 */ "GPUTextureView" "\0"
  /*  4790 */ "GPUUncapturedErrorEvent" "\0"
  /*  4814 */ "GPUValidationError" "\0"
  /*  4833 */ "GainNode" "\0"
  /*  4842 */ "Gamepad" "\0"
  /*  4850 */ "GamepadAxisMoveEvent" "\0"
  /*  4871 */ "GamepadButton" "\0"
  /*  4885 */ "GamepadButtonEvent" "\0"
  /*  4904 */ "GamepadEvent" "\0"
  /*  4917 */ "GamepadHapticActuator" "\0"
  /*  4939 */ "GamepadLightIndicator" "\0"
  /*  4961 */ "GamepadPose" "\0"
  /*  4973 */ "GamepadServiceTest" "\0"
  /*  4992 */ "GamepadTouch" "\0"
  /*  5005 */ "Geolocation" "\0"
  /*  5017 */ "GeolocationCoordinates" "\0"
  /*  5040 */ "GeolocationPosition" "\0"
  /*  5060 */ "GeolocationPositionError" "\0"
  /*  5085 */ "GetUserMediaRequest" "\0"
  /*  5105 */ "GleanBoolean" "\0"
  /*  5118 */ "GleanCategory" "\0"
  /*  5132 */ "GleanCounter" "\0"
  /*  5145 */ "GleanCustomDistribution" "\0"
  /*  5169 */ "GleanDatetime" "\0"
  /*  5183 */ "GleanDenominator" "\0"
  /*  5200 */ "GleanEvent" "\0"
  /*  5211 */ "GleanImpl" "\0"
  /*  5221 */ "GleanLabeled" "\0"
  /*  5234 */ "GleanMemoryDistribution" "\0"
  /*  5258 */ "GleanMetric" "\0"
  /*  5270 */ "GleanNumerator" "\0"
  /*  5285 */ "GleanObject" "\0"
  /*  5297 */ "GleanPingsImpl" "\0"
  /*  5312 */ "GleanQuantity" "\0"
  /*  5326 */ "GleanRate" "\0"
  /*  5336 */ "GleanString" "\0"
  /*  5348 */ "GleanStringList" "\0"
  /*  5364 */ "GleanText" "\0"
  /*  5374 */ "GleanTimespan" "\0"
  /*  5388 */ "GleanTimingDistribution" "\0"
  /*  5412 */ "GleanUrl" "\0"
  /*  5421 */ "GleanUuid" "\0"
  /*  5431 */ "Grid" "\0"
  /*  5436 */ "GridArea" "\0"
  /*  5445 */ "GridDimension" "\0"
  /*  5459 */ "GridLine" "\0"
  /*  5468 */ "GridLines" "\0"
  /*  5478 */ "GridTrack" "\0"
  /*  5488 */ "GridTracks" "\0"
  /*  5499 */ "HTMLAllCollection" "\0"
  /*  5517 */ "HTMLAnchorElement" "\0"
  /*  5535 */ "HTMLAreaElement" "\0"
  /*  5551 */ "HTMLAudioElement" "\0"
  /*  5568 */ "HTMLBRElement" "\0"
  /*  5582 */ "HTMLBaseElement" "\0"
  /*  5598 */ "HTMLBodyElement" "\0"
  /*  5614 */ "HTMLButtonElement" "\0"
  /*  5632 */ "HTMLCanvasElement" "\0"
  /*  5650 */ "HTMLCollection" "\0"
  /*  5665 */ "HTMLDListElement" "\0"
  /*  5682 */ "HTMLDataElement" "\0"
  /*  5698 */ "HTMLDataListElement" "\0"
  /*  5718 */ "HTMLDetailsElement" "\0"
  /*  5737 */ "HTMLDialogElement" "\0"
  /*  5755 */ "HTMLDirectoryElement" "\0"
  /*  5776 */ "HTMLDivElement" "\0"
  /*  5791 */ "HTMLDocument" "\0"
  /*  5804 */ "HTMLElement" "\0"
  /*  5816 */ "HTMLEmbedElement" "\0"
  /*  5833 */ "HTMLFieldSetElement" "\0"
  /*  5853 */ "HTMLFontElement" "\0"
  /*  5869 */ "HTMLFormControlsCollection" "\0"
  /*  5896 */ "HTMLFormElement" "\0"
  /*  5912 */ "HTMLFrameElement" "\0"
  /*  5929 */ "HTMLFrameSetElement" "\0"
  /*  5949 */ "HTMLHRElement" "\0"
  /*  5963 */ "HTMLHeadElement" "\0"
  /*  5979 */ "HTMLHeadingElement" "\0"
  /*  5998 */ "HTMLHtmlElement" "\0"
  /*  6014 */ "HTMLIFrameElement" "\0"
  /*  6032 */ "HTMLImageElement" "\0"
  /*  6049 */ "HTMLInputElement" "\0"
  /*  6066 */ "HTMLLIElement" "\0"
  /*  6080 */ "HTMLLabelElement" "\0"
  /*  6097 */ "HTMLLegendElement" "\0"
  /*  6115 */ "HTMLLinkElement" "\0"
  /*  6131 */ "HTMLMapElement" "\0"
  /*  6146 */ "HTMLMarqueeElement" "\0"
  /*  6165 */ "HTMLMediaElement" "\0"
  /*  6182 */ "HTMLMenuElement" "\0"
  /*  6198 */ "HTMLMetaElement" "\0"
  /*  6214 */ "HTMLMeterElement" "\0"
  /*  6231 */ "HTMLModElement" "\0"
  /*  6246 */ "HTMLOListElement" "\0"
  /*  6263 */ "HTMLObjectElement" "\0"
  /*  6281 */ "HTMLOptGroupElement" "\0"
  /*  6301 */ "HTMLOptionElement" "\0"
  /*  6319 */ "HTMLOptionsCollection" "\0"
  /*  6341 */ "HTMLOutputElement" "\0"
  /*  6359 */ "HTMLParagraphElement" "\0"
  /*  6380 */ "HTMLParamElement" "\0"
  /*  6397 */ "HTMLPictureElement" "\0"
  /*  6416 */ "HTMLPreElement" "\0"
  /*  6431 */ "HTMLProgressElement" "\0"
  /*  6451 */ "HTMLQuoteElement" "\0"
  /*  6468 */ "HTMLScriptElement" "\0"
  /*  6486 */ "HTMLSelectElement" "\0"
  /*  6504 */ "HTMLSlotElement" "\0"
  /*  6520 */ "HTMLSourceElement" "\0"
  /*  6538 */ "HTMLSpanElement" "\0"
  /*  6554 */ "HTMLStyleElement" "\0"
  /*  6571 */ "HTMLTableCaptionElement" "\0"
  /*  6595 */ "HTMLTableCellElement" "\0"
  /*  6616 */ "HTMLTableColElement" "\0"
  /*  6636 */ "HTMLTableElement" "\0"
  /*  6653 */ "HTMLTableRowElement" "\0"
  /*  6673 */ "HTMLTableSectionElement" "\0"
  /*  6697 */ "HTMLTemplateElement" "\0"
  /*  6717 */ "HTMLTextAreaElement" "\0"
  /*  6737 */ "HTMLTimeElement" "\0"
  /*  6753 */ "HTMLTitleElement" "\0"
  /*  6770 */ "HTMLTrackElement" "\0"
  /*  6787 */ "HTMLUListElement" "\0"
  /*  6804 */ "HTMLUnknownElement" "\0"
  /*  6823 */ "HTMLVideoElement" "\0"
  /*  6840 */ "HashChangeEvent" "\0"
  /*  6856 */ "Headers" "\0"
  /*  6864 */ "Headers Iterator" "\0"
  /*  6881 */ "HeapSnapshot" "\0"
  /*  6894 */ "Highlight" "\0"
  /*  6904 */ "HighlightRegistry" "\0"
  /*  6922 */ "History" "\0"
  /*  6930 */ "IDBCursor" "\0"
  /*  6940 */ "IDBCursorWithValue" "\0"
  /*  6959 */ "IDBDatabase" "\0"
  /*  6971 */ "IDBFactory" "\0"
  /*  6982 */ "IDBIndex" "\0"
  /*  6991 */ "IDBKeyRange" "\0"
  /*  7003 */ "IDBObjectStore" "\0"
  /*  7018 */ "IDBOpenDBRequest" "\0"
  /*  7035 */ "IDBRequest" "\0"
  /*  7046 */ "IDBTransaction" "\0"
  /*  7061 */ "IDBVersionChangeEvent" "\0"
  /*  7083 */ "IIRFilterNode" "\0"
  /*  7097 */ "IOUtils" "\0"
  /*  7105 */ "IdentityCredential" "\0"
  /*  7124 */ "IdleDeadline" "\0"
  /*  7137 */ "Image" "\0"
  /*  7143 */ "ImageBitmap" "\0"
  /*  7155 */ "ImageBitmapRenderingContext" "\0"
  /*  7183 */ "ImageCapture" "\0"
  /*  7196 */ "ImageCaptureError" "\0"
  /*  7214 */ "ImageCaptureErrorEvent" "\0"
  /*  7237 */ "ImageData" "\0"
  /*  7247 */ "ImageDocument" "\0"
  /*  7261 */ "InputEvent" "\0"
  /*  7272 */ "InspectorCSSParser" "\0"
  /*  7291 */ "InspectorFontFace" "\0"
  /*  7309 */ "InspectorUtils" "\0"
  /*  7324 */ "InstallTriggerImpl" "\0"
  /*  7343 */ "IntersectionObserver" "\0"
  /*  7364 */ "IntersectionObserverEntry" "\0"
  /*  7390 */ "IntlUtils" "\0"
  /*  7400 */ "InvokeEvent" "\0"
  /*  7412 */ "JSProcessActorChild" "\0"
  /*  7432 */ "JSProcessActorParent" "\0"
  /*  7453 */ "JSWindowActorChild" "\0"
  /*  7472 */ "JSWindowActorParent" "\0"
  /*  7492 */ "KeyEvent" "\0"
  /*  7501 */ "KeyboardEvent" "\0"
  /*  7515 */ "KeyframeEffect" "\0"
  /*  7530 */ "L10nFileSource" "\0"
  /*  7545 */ "L10nOverlays" "\0"
  /*  7558 */ "L10nRegistry" "\0"
  /*  7571 */ "LargestContentfulPaint" "\0"
  /*  7594 */ "LegacyMozTCPSocket" "\0"
  /*  7613 */ "Localization" "\0"
  /*  7626 */ "Location" "\0"
  /*  7635 */ "Lock" "\0"
  /*  7640 */ "LockManager" "\0"
  /*  7652 */ "MIDIAccess" "\0"
  /*  7663 */ "MIDIConnectionEvent" "\0"
  /*  7683 */ "MIDIInput" "\0"
  /*  7693 */ "MIDIInputMap" "\0"
  /*  7706 */ "MIDIMessageEvent" "\0"
  /*  7723 */ "MIDIOutput" "\0"
  /*  7734 */ "MIDIOutputMap" "\0"
  /*  7748 */ "MIDIPort" "\0"
  /*  7757 */ "MOZ_debug" "\0"
  /*  7767 */ "MatchGlob" "\0"
  /*  7777 */ "MatchPattern" "\0"
  /*  7790 */ "MatchPatternSet" "\0"
  /*  7806 */ "MathMLElement" "\0"
  /*  7820 */ "MediaCapabilities" "\0"
  /*  7838 */ "MediaControlService" "\0"
  /*  7858 */ "MediaController" "\0"
  /*  7874 */ "MediaDeviceInfo" "\0"
  /*  7890 */ "MediaDevices" "\0"
  /*  7903 */ "MediaElementAudioSourceNode" "\0"
  /*  7931 */ "MediaEncryptedEvent" "\0"
  /*  7951 */ "MediaError" "\0"
  /*  7962 */ "MediaKeyError" "\0"
  /*  7976 */ "MediaKeyMessageEvent" "\0"
  /*  7997 */ "MediaKeySession" "\0"
  /*  8013 */ "MediaKeyStatusMap" "\0"
  /*  8031 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8058 */ "MediaKeySystemAccess" "\0"
  /*  8079 */ "MediaKeys" "\0"
  /*  8089 */ "MediaList" "\0"
  /*  8099 */ "MediaMetadata" "\0"
  /*  8113 */ "MediaQueryList" "\0"
  /*  8128 */ "MediaQueryListEvent" "\0"
  /*  8148 */ "MediaRecorder" "\0"
  /*  8162 */ "MediaRecorderErrorEvent" "\0"
  /*  8186 */ "MediaSession" "\0"
  /*  8199 */ "MediaSource" "\0"
  /*  8211 */ "MediaStream" "\0"
  /*  8223 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8255 */ "MediaStreamAudioSourceNode" "\0"
  /*  8282 */ "MediaStreamError" "\0"
  /*  8299 */ "MediaStreamEvent" "\0"
  /*  8316 */ "MediaStreamTrack" "\0"
  /*  8333 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8365 */ "MediaStreamTrackEvent" "\0"
  /*  8387 */ "MerchantValidationEvent" "\0"
  /*  8411 */ "MessageBroadcaster" "\0"
  /*  8430 */ "MessageChannel" "\0"
  /*  8445 */ "MessageEvent" "\0"
  /*  8458 */ "MessageListenerManager" "\0"
  /*  8481 */ "MessagePort" "\0"
  /*  8493 */ "MessageSender" "\0"
  /*  8507 */ "MimeType" "\0"
  /*  8516 */ "MimeTypeArray" "\0"
  /*  8530 */ "MouseEvent" "\0"
  /*  8541 */ "MouseScrollEvent" "\0"
  /*  8558 */ "MozCanvasPrintState" "\0"
  /*  8578 */ "MozDocumentMatcher" "\0"
  /*  8597 */ "MozDocumentObserver" "\0"
  /*  8617 */ "MozQueryInterface" "\0"
  /*  8635 */ "MozSharedMap" "\0"
  /*  8648 */ "MozSharedMap Iterator" "\0"
  /*  8670 */ "MozSharedMapChangeEvent" "\0"
  /*  8694 */ "MozStorageAsyncStatementParams" "\0"
  /*  8725 */ "MozStorageStatementParams" "\0"
  /*  8751 */ "MozStorageStatementRow" "\0"
  /*  8774 */ "MozWritableSharedMap" "\0"
  /*  8795 */ "MutationEvent" "\0"
  /*  8809 */ "MutationObserver" "\0"
  /*  8826 */ "MutationRecord" "\0"
  /*  8841 */ "NamedNodeMap" "\0"
  /*  8854 */ "NavigationPreloadManager" "\0"
  /*  8879 */ "Navigator" "\0"
  /*  8889 */ "NetworkInformation" "\0"
  /*  8908 */ "Node" "\0"
  /*  8913 */ "NodeFilter" "\0"
  /*  8924 */ "NodeIterator" "\0"
  /*  8937 */ "NodeList" "\0"
  /*  8946 */ "Notification" "\0"
  /*  8959 */ "NotificationEvent" "\0"
  /*  8977 */ "NotifyPaintEvent" "\0"
  /*  8994 */ "OES_draw_buffers_indexed" "\0"
  /*  9019 */ "OES_element_index_uint" "\0"
  /*  9042 */ "OES_fbo_render_mipmap" "\0"
  /*  9064 */ "OES_standard_derivatives" "\0"
  /*  9089 */ "OES_texture_float" "\0"
  /*  9107 */ "OES_texture_float_linear" "\0"
  /*  9132 */ "OES_texture_half_float" "\0"
  /*  9155 */ "OES_texture_half_float_linear" "\0"
  /*  9185 */ "OES_vertex_array_object" "\0"
  /*  9209 */ "OVR_multiview2" "\0"
  /*  9224 */ "OfflineAudioCompletionEvent" "\0"
  /*  9252 */ "OfflineAudioContext" "\0"
  /*  9272 */ "OffscreenCanvas" "\0"
  /*  9288 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9322 */ "OnlyForUseInConstructor" "\0"
  /*  9346 */ "Option" "\0"
  /*  9353 */ "OscillatorNode" "\0"
  /*  9368 */ "PageTransitionEvent" "\0"
  /*  9388 */ "PaintRequest" "\0"
  /*  9401 */ "PaintRequestList" "\0"
  /*  9418 */ "PaintWorkletGlobalScope" "\0"
  /*  9442 */ "PannerNode" "\0"
  /*  9453 */ "ParentProcessMessageManager" "\0"
  /*  9481 */ "Path2D" "\0"
  /*  9488 */ "PathUtils" "\0"
  /*  9498 */ "PaymentAddress" "\0"
  /*  9513 */ "PaymentMethodChangeEvent" "\0"
  /*  9538 */ "PaymentRequest" "\0"
  /*  9553 */ "PaymentRequestUpdateEvent" "\0"
  /*  9579 */ "PaymentResponse" "\0"
  /*  9595 */ "PeerConnectionImpl" "\0"
  /*  9614 */ "PeerConnectionObserver" "\0"
  /*  9637 */ "Performance" "\0"
  /*  9649 */ "PerformanceEntry" "\0"
  /*  9666 */ "PerformanceEntryEvent" "\0"
  /*  9688 */ "PerformanceEventTiming" "\0"
  /*  9711 */ "PerformanceMark" "\0"
  /*  9727 */ "PerformanceMeasure" "\0"
  /*  9746 */ "PerformanceNavigation" "\0"
  /*  9768 */ "PerformanceNavigationTiming" "\0"
  /*  9796 */ "PerformanceObserver" "\0"
  /*  9816 */ "PerformanceObserverEntryList" "\0"
  /*  9845 */ "PerformancePaintTiming" "\0"
  /*  9868 */ "PerformanceResourceTiming" "\0"
  /*  9894 */ "PerformanceServerTiming" "\0"
  /*  9918 */ "PerformanceTiming" "\0"
  /*  9936 */ "PeriodicWave" "\0"
  /*  9949 */ "PermissionStatus" "\0"
  /*  9966 */ "Permissions" "\0"
  /*  9978 */ "PlacesBookmark" "\0"
  /*  9993 */ "PlacesBookmarkAddition" "\0"
  /* 10016 */ "PlacesBookmarkChanged" "\0"
  /* 10038 */ "PlacesBookmarkGuid" "\0"
  /* 10057 */ "PlacesBookmarkKeyword" "\0"
  /* 10079 */ "PlacesBookmarkMoved" "\0"
  /* 10099 */ "PlacesBookmarkRemoved" "\0"
  /* 10121 */ "PlacesBookmarkTags" "\0"
  /* 10140 */ "PlacesBookmarkTime" "\0"
  /* 10159 */ "PlacesBookmarkTitle" "\0"
  /* 10179 */ "PlacesBookmarkUrl" "\0"
  /* 10197 */ "PlacesEvent" "\0"
  /* 10209 */ "PlacesEventCounts" "\0"
  /* 10227 */ "PlacesFavicon" "\0"
  /* 10241 */ "PlacesHistoryCleared" "\0"
  /* 10262 */ "PlacesObservers" "\0"
  /* 10278 */ "PlacesPurgeCaches" "\0"
  /* 10296 */ "PlacesRanking" "\0"
  /* 10310 */ "PlacesVisit" "\0"
  /* 10322 */ "PlacesVisitRemoved" "\0"
  /* 10341 */ "PlacesVisitTitle" "\0"
  /* 10358 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10384 */ "Plugin" "\0"
  /* 10391 */ "PluginArray" "\0"
  /* 10403 */ "PluginCrashedEvent" "\0"
  /* 10422 */ "PointerEvent" "\0"
  /* 10435 */ "PopStateEvent" "\0"
  /* 10449 */ "PopupBlockedEvent" "\0"
  /* 10467 */ "PopupPositionedEvent" "\0"
  /* 10488 */ "PositionStateEvent" "\0"
  /* 10507 */ "PrecompiledScript" "\0"
  /* 10525 */ "PrivateAttribution" "\0"
  /* 10544 */ "ProcessMessageManager" "\0"
  /* 10566 */ "ProcessingInstruction" "\0"
  /* 10588 */ "ProgressEvent" "\0"
  /* 10602 */ "PromiseDebugging" "\0"
  /* 10619 */ "PromiseNativeHandler" "\0"
  /* 10640 */ "PromiseRejectionEvent" "\0"
  /* 10662 */ "PublicKeyCredential" "\0"
  /* 10682 */ "PushEvent" "\0"
  /* 10692 */ "PushManager" "\0"
  /* 10704 */ "PushManagerImpl" "\0"
  /* 10720 */ "PushMessageData" "\0"
  /* 10736 */ "PushSubscription" "\0"
  /* 10753 */ "PushSubscriptionOptions" "\0"
  /* 10777 */ "RTCCertificate" "\0"
  /* 10792 */ "RTCDTMFSender" "\0"
  /* 10806 */ "RTCDTMFToneChangeEvent" "\0"
  /* 10829 */ "RTCDataChannel" "\0"
  /* 10844 */ "RTCDataChannelEvent" "\0"
  /* 10864 */ "RTCDtlsTransport" "\0"
  /* 10881 */ "RTCEncodedAudioFrame" "\0"
  /* 10902 */ "RTCEncodedVideoFrame" "\0"
  /* 10923 */ "RTCIceCandidate" "\0"
  /* 10939 */ "RTCIceTransport" "\0"
  /* 10955 */ "RTCIdentityProviderRegistrar" "\0"
  /* 10984 */ "RTCPeerConnection" "\0"
  /* 11002 */ "RTCPeerConnectionIceEvent" "\0"
  /* 11028 */ "RTCPeerConnectionStatic" "\0"
  /* 11052 */ "RTCRtpReceiver" "\0"
  /* 11067 */ "RTCRtpScriptTransform" "\0"
  /* 11089 */ "RTCRtpScriptTransformer" "\0"
  /* 11113 */ "RTCRtpSender" "\0"
  /* 11126 */ "RTCRtpTransceiver" "\0"
  /* 11144 */ "RTCSctpTransport" "\0"
  /* 11161 */ "RTCSessionDescription" "\0"
  /* 11183 */ "RTCStatsReport" "\0"
  /* 11198 */ "RTCTrackEvent" "\0"
  /* 11212 */ "RTCTransformEvent" "\0"
  /* 11230 */ "RadioNodeList" "\0"
  /* 11244 */ "Range" "\0"
  /* 11250 */ "ReadableByteStreamController" "\0"
  /* 11279 */ "ReadableStream" "\0"
  /* 11294 */ "ReadableStream AsyncIterator" "\0"
  /* 11323 */ "ReadableStreamBYOBReader" "\0"
  /* 11348 */ "ReadableStreamBYOBRequest" "\0"
  /* 11374 */ "ReadableStreamDefaultController" "\0"
  /* 11406 */ "ReadableStreamDefaultReader" "\0"
  /* 11434 */ "Report" "\0"
  /* 11441 */ "ReportBody" "\0"
  /* 11452 */ "ReportingObserver" "\0"
  /* 11470 */ "Request" "\0"
  /* 11478 */ "ResizeObserver" "\0"
  /* 11493 */ "ResizeObserverEntry" "\0"
  /* 11513 */ "ResizeObserverSize" "\0"
  /* 11532 */ "Response" "\0"
  /* 11541 */ "SVGAElement" "\0"
  /* 11553 */ "SVGAngle" "\0"
  /* 11562 */ "SVGAnimateElement" "\0"
  /* 11580 */ "SVGAnimateMotionElement" "\0"
  /* 11604 */ "SVGAnimateTransformElement" "\0"
  /* 11631 */ "SVGAnimatedAngle" "\0"
  /* 11648 */ "SVGAnimatedBoolean" "\0"
  /* 11667 */ "SVGAnimatedEnumeration" "\0"
  /* 11690 */ "SVGAnimatedInteger" "\0"
  /* 11709 */ "SVGAnimatedLength" "\0"
  /* 11727 */ "SVGAnimatedLengthList" "\0"
  /* 11749 */ "SVGAnimatedNumber" "\0"
  /* 11767 */ "SVGAnimatedNumberList" "\0"
  /* 11789 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11820 */ "SVGAnimatedRect" "\0"
  /* 11836 */ "SVGAnimatedString" "\0"
  /* 11854 */ "SVGAnimatedTransformList" "\0"
  /* 11879 */ "SVGAnimationElement" "\0"
  /* 11899 */ "SVGCircleElement" "\0"
  /* 11916 */ "SVGClipPathElement" "\0"
  /* 11935 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11971 */ "SVGDefsElement" "\0"
  /* 11986 */ "SVGDescElement" "\0"
  /* 12001 */ "SVGElement" "\0"
  /* 12012 */ "SVGEllipseElement" "\0"
  /* 12030 */ "SVGFEBlendElement" "\0"
  /* 12048 */ "SVGFEColorMatrixElement" "\0"
  /* 12072 */ "SVGFEComponentTransferElement" "\0"
  /* 12102 */ "SVGFECompositeElement" "\0"
  /* 12124 */ "SVGFEConvolveMatrixElement" "\0"
  /* 12151 */ "SVGFEDiffuseLightingElement" "\0"
  /* 12179 */ "SVGFEDisplacementMapElement" "\0"
  /* 12207 */ "SVGFEDistantLightElement" "\0"
  /* 12232 */ "SVGFEDropShadowElement" "\0"
  /* 12255 */ "SVGFEFloodElement" "\0"
  /* 12273 */ "SVGFEFuncAElement" "\0"
  /* 12291 */ "SVGFEFuncBElement" "\0"
  /* 12309 */ "SVGFEFuncGElement" "\0"
  /* 12327 */ "SVGFEFuncRElement" "\0"
  /* 12345 */ "SVGFEGaussianBlurElement" "\0"
  /* 12370 */ "SVGFEImageElement" "\0"
  /* 12388 */ "SVGFEMergeElement" "\0"
  /* 12406 */ "SVGFEMergeNodeElement" "\0"
  /* 12428 */ "SVGFEMorphologyElement" "\0"
  /* 12451 */ "SVGFEOffsetElement" "\0"
  /* 12470 */ "SVGFEPointLightElement" "\0"
  /* 12493 */ "SVGFESpecularLightingElement" "\0"
  /* 12522 */ "SVGFESpotLightElement" "\0"
  /* 12544 */ "SVGFETileElement" "\0"
  /* 12561 */ "SVGFETurbulenceElement" "\0"
  /* 12584 */ "SVGFilterElement" "\0"
  /* 12601 */ "SVGForeignObjectElement" "\0"
  /* 12625 */ "SVGGElement" "\0"
  /* 12637 */ "SVGGeometryElement" "\0"
  /* 12656 */ "SVGGradientElement" "\0"
  /* 12675 */ "SVGGraphicsElement" "\0"
  /* 12694 */ "SVGImageElement" "\0"
  /* 12710 */ "SVGLength" "\0"
  /* 12720 */ "SVGLengthList" "\0"
  /* 12734 */ "SVGLineElement" "\0"
  /* 12749 */ "SVGLinearGradientElement" "\0"
  /* 12774 */ "SVGMPathElement" "\0"
  /* 12790 */ "SVGMarkerElement" "\0"
  /* 12807 */ "SVGMaskElement" "\0"
  /* 12822 */ "SVGMatrix" "\0"
  /* 12832 */ "SVGMetadataElement" "\0"
  /* 12851 */ "SVGNumber" "\0"
  /* 12861 */ "SVGNumberList" "\0"
  /* 12875 */ "SVGPathElement" "\0"
  /* 12890 */ "SVGPatternElement" "\0"
  /* 12908 */ "SVGPoint" "\0"
  /* 12917 */ "SVGPointList" "\0"
  /* 12930 */ "SVGPolygonElement" "\0"
  /* 12948 */ "SVGPolylineElement" "\0"
  /* 12967 */ "SVGPreserveAspectRatio" "\0"
  /* 12990 */ "SVGRadialGradientElement" "\0"
  /* 13015 */ "SVGRect" "\0"
  /* 13023 */ "SVGRectElement" "\0"
  /* 13038 */ "SVGSVGElement" "\0"
  /* 13052 */ "SVGScriptElement" "\0"
  /* 13069 */ "SVGSetElement" "\0"
  /* 13083 */ "SVGStopElement" "\0"
  /* 13098 */ "SVGStringList" "\0"
  /* 13112 */ "SVGStyleElement" "\0"
  /* 13128 */ "SVGSwitchElement" "\0"
  /* 13145 */ "SVGSymbolElement" "\0"
  /* 13162 */ "SVGTSpanElement" "\0"
  /* 13178 */ "SVGTextContentElement" "\0"
  /* 13200 */ "SVGTextElement" "\0"
  /* 13215 */ "SVGTextPathElement" "\0"
  /* 13234 */ "SVGTextPositioningElement" "\0"
  /* 13260 */ "SVGTitleElement" "\0"
  /* 13276 */ "SVGTransform" "\0"
  /* 13289 */ "SVGTransformList" "\0"
  /* 13306 */ "SVGUnitTypes" "\0"
  /* 13319 */ "SVGUseElement" "\0"
  /* 13333 */ "SVGViewElement" "\0"
  /* 13348 */ "Sanitizer" "\0"
  /* 13358 */ "Scheduler" "\0"
  /* 13368 */ "Screen" "\0"
  /* 13375 */ "ScreenLuminance" "\0"
  /* 13391 */ "ScreenOrientation" "\0"
  /* 13409 */ "ScriptProcessorNode" "\0"
  /* 13429 */ "ScrollAreaEvent" "\0"
  /* 13445 */ "ScrollViewChangeEvent" "\0"
  /* 13467 */ "SecurityPolicyViolationEvent" "\0"
  /* 13496 */ "Selection" "\0"
  /* 13506 */ "ServiceWorker" "\0"
  /* 13520 */ "ServiceWorkerContainer" "\0"
  /* 13543 */ "ServiceWorkerGlobalScope" "\0"
  /* 13568 */ "ServiceWorkerRegistration" "\0"
  /* 13594 */ "SessionStoreFormData" "\0"
  /* 13615 */ "SessionStoreScrollData" "\0"
  /* 13638 */ "SessionStoreUtils" "\0"
  /* 13656 */ "ShadowRealmGlobalScope" "\0"
  /* 13679 */ "ShadowRoot" "\0"
  /* 13690 */ "SharedWorker" "\0"
  /* 13703 */ "SharedWorkerGlobalScope" "\0"
  /* 13727 */ "SimpleGestureEvent" "\0"
  /* 13746 */ "SourceBuffer" "\0"
  /* 13759 */ "SourceBufferList" "\0"
  /* 13776 */ "SpeechGrammar" "\0"
  /* 13790 */ "SpeechGrammarList" "\0"
  /* 13808 */ "SpeechRecognition" "\0"
  /* 13826 */ "SpeechRecognitionAlternative" "\0"
  /* 13855 */ "SpeechRecognitionError" "\0"
  /* 13878 */ "SpeechRecognitionEvent" "\0"
  /* 13901 */ "SpeechRecognitionResult" "\0"
  /* 13925 */ "SpeechRecognitionResultList" "\0"
  /* 13953 */ "SpeechSynthesis" "\0"
  /* 13969 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13995 */ "SpeechSynthesisEvent" "\0"
  /* 14016 */ "SpeechSynthesisUtterance" "\0"
  /* 14041 */ "SpeechSynthesisVoice" "\0"
  /* 14062 */ "StaticRange" "\0"
  /* 14074 */ "StereoPannerNode" "\0"
  /* 14091 */ "Storage" "\0"
  /* 14099 */ "StorageEvent" "\0"
  /* 14112 */ "StorageManager" "\0"
  /* 14127 */ "StreamFilter" "\0"
  /* 14140 */ "StreamFilterDataEvent" "\0"
  /* 14162 */ "StructuredCloneHolder" "\0"
  /* 14184 */ "StructuredCloneTester" "\0"
  /* 14206 */ "StyleSheet" "\0"
  /* 14217 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14254 */ "StyleSheetList" "\0"
  /* 14269 */ "StyleSheetRemovedEvent" "\0"
  /* 14292 */ "SubmitEvent" "\0"
  /* 14304 */ "SubtleCrypto" "\0"
  /* 14317 */ "SyncMessageSender" "\0"
  /* 14335 */ "SyncReadFile" "\0"
  /* 14348 */ "TCPServerSocket" "\0"
  /* 14364 */ "TCPServerSocketEvent" "\0"
  /* 14385 */ "TCPSocket" "\0"
  /* 14395 */ "TCPSocketErrorEvent" "\0"
  /* 14415 */ "TCPSocketEvent" "\0"
  /* 14430 */ "TaskController" "\0"
  /* 14445 */ "TaskPriorityChangeEvent" "\0"
  /* 14469 */ "TaskSignal" "\0"
  /* 14480 */ "TelemetryStopwatch" "\0"
  /* 14499 */ "TestAttributesOnTypes" "\0"
  /* 14521 */ "TestCEReactionsInterface" "\0"
  /* 14546 */ "TestCImplementedInterface" "\0"
  /* 14572 */ "TestCImplementedInterface2" "\0"
  /* 14599 */ "TestCallbackDictUnionOverload" "\0"
  /* 14629 */ "TestChildInterface" "\0"
  /* 14648 */ "TestConstructorForFuncInterface" "\0"
  /* 14680 */ "TestConstructorForPrefInterface" "\0"
  /* 14712 */ "TestConstructorForSCInterface" "\0"
  /* 14742 */ "TestCppKeywordNamedMethodsInterface" "\0"
  /* 14778 */ "TestDeprecatedInterface" "\0"
  /* 14802 */ "TestExampleInterface" "\0"
  /* 14823 */ "TestExampleProxyInterface" "\0"
  /* 14849 */ "TestExampleThrowingConstructorInterface" "\0"
  /* 14889 */ "TestExampleWorkerInterface" "\0"
  /* 14916 */ "TestFuncConstructorForDifferentFuncInterface" "\0"
  /* 14961 */ "TestFuncConstructorForInterface" "\0"
  /* 14993 */ "TestHTMLConstructorInterface" "\0"
  /* 15022 */ "TestIndexedAndNamedGetterAndSetterInterface" "\0"
  /* 15066 */ "TestIndexedAndNamedGetterInterface" "\0"
  /* 15101 */ "TestIndexedAndNamedSetterInterface" "\0"
  /* 15136 */ "TestIndexedGetterAndSetterAndNamedGetterInterface" "\0"
  /* 15186 */ "TestIndexedGetterInterface" "\0"
  /* 15213 */ "TestIndexedSetterInterface" "\0"
  /* 15240 */ "TestInterface" "\0"
  /* 15254 */ "TestInterfaceWithPromiseConstructorArg" "\0"
  /* 15293 */ "TestJSImplInterface" "\0"
  /* 15313 */ "TestJSImplInterface2" "\0"
  /* 15334 */ "TestJSImplInterface3" "\0"
  /* 15355 */ "TestJSImplInterface4" "\0"
  /* 15376 */ "TestJSImplInterface5" "\0"
  /* 15397 */ "TestJSImplInterface6" "\0"
  /* 15418 */ "TestJSImplNoInterfaceObject" "\0"
  /* 15446 */ "TestLegacyFactoryFunctionInterface" "\0"
  /* 15481 */ "TestLegacyFactoryFunctionInterface2" "\0"
  /* 15517 */ "TestNamedDeleterInterface" "\0"
  /* 15543 */ "TestNamedDeleterWithRetvalInterface" "\0"
  /* 15579 */ "TestNamedGetterInterface" "\0"
  /* 15604 */ "TestNamedSetterInterface" "\0"
  /* 15629 */ "TestNamespace" "\0"
  /* 15643 */ "TestNonWrapperCacheInterface" "\0"
  /* 15672 */ "TestParentInterface" "\0"
  /* 15692 */ "TestPrefChromeOnlySCFuncConstructorForInterface" "\0"
  /* 15740 */ "TestPrefConstructorForDifferentPrefInterface" "\0"
  /* 15785 */ "TestPrefConstructorForInterface" "\0"
  /* 15817 */ "TestProtoObjectHackedNamespace" "\0"
  /* 15848 */ "TestRenamedInterface" "\0"
  /* 15869 */ "TestRenamedNamespace" "\0"
  /* 15890 */ "TestSCConstructorForInterface" "\0"
  /* 15920 */ "TestSecureContextInterface" "\0"
  /* 15947 */ "TestThrowingConstructorInterface" "\0"
  /* 15980 */ "TestUtils" "\0"
  /* 15990 */ "TestWorkerExposedInterface" "\0"
  /* 16017 */ "TestingDeprecatedInterface" "\0"
  /* 16044 */ "Text" "\0"
  /* 16049 */ "TextClause" "\0"
  /* 16060 */ "TextDecoder" "\0"
  /* 16072 */ "TextDecoderStream" "\0"
  /* 16090 */ "TextEncoder" "\0"
  /* 16102 */ "TextEncoderStream" "\0"
  /* 16120 */ "TextEvent" "\0"
  /* 16130 */ "TextMetrics" "\0"
  /* 16142 */ "TextTrack" "\0"
  /* 16152 */ "TextTrackCue" "\0"
  /* 16165 */ "TextTrackCueList" "\0"
  /* 16182 */ "TextTrackList" "\0"
  /* 16196 */ "TimeEvent" "\0"
  /* 16206 */ "TimeRanges" "\0"
  /* 16217 */ "ToggleEvent" "\0"
  /* 16229 */ "Touch" "\0"
  /* 16235 */ "TouchEvent" "\0"
  /* 16246 */ "TouchList" "\0"
  /* 16256 */ "TrackEvent" "\0"
  /* 16267 */ "TransformStream" "\0"
  /* 16283 */ "TransformStreamDefaultController" "\0"
  /* 16316 */ "TransitionEvent" "\0"
  /* 16332 */ "TreeColumn" "\0"
  /* 16343 */ "TreeColumns" "\0"
  /* 16355 */ "TreeContentView" "\0"
  /* 16371 */ "TreeWalker" "\0"
  /* 16382 */ "TrustedHTML" "\0"
  /* 16394 */ "TrustedScript" "\0"
  /* 16408 */ "TrustedScriptURL" "\0"
  /* 16425 */ "TrustedTypePolicy" "\0"
  /* 16443 */ "TrustedTypePolicyFactory" "\0"
  /* 16468 */ "UDPMessageEvent" "\0"
  /* 16484 */ "UDPSocket" "\0"
  /* 16494 */ "UIEvent" "\0"
  /* 16502 */ "URL" "\0"
  /* 16506 */ "URLSearchParams" "\0"
  /* 16522 */ "URLSearchParams Iterator" "\0"
  /* 16547 */ "UniFFIPointer" "\0"
  /* 16561 */ "UniFFIScaffolding" "\0"
  /* 16579 */ "UserActivation" "\0"
  /* 16594 */ "UserInteraction" "\0"
  /* 16610 */ "UserProximityEvent" "\0"
  /* 16629 */ "VRDisplay" "\0"
  /* 16639 */ "VRDisplayCapabilities" "\0"
  /* 16661 */ "VRDisplayEvent" "\0"
  /* 16676 */ "VREyeParameters" "\0"
  /* 16692 */ "VRFieldOfView" "\0"
  /* 16706 */ "VRFrameData" "\0"
  /* 16718 */ "VRMockController" "\0"
  /* 16735 */ "VRMockDisplay" "\0"
  /* 16749 */ "VRPose" "\0"
  /* 16756 */ "VRServiceTest" "\0"
  /* 16770 */ "VRStageParameters" "\0"
  /* 16788 */ "VTTCue" "\0"
  /* 16795 */ "VTTRegion" "\0"
  /* 16805 */ "ValidityState" "\0"
  /* 16819 */ "VideoColorSpace" "\0"
  /* 16835 */ "VideoDecoder" "\0"
  /* 16848 */ "VideoEncoder" "\0"
  /* 16861 */ "VideoFrame" "\0"
  /* 16872 */ "VideoPlaybackQuality" "\0"
  /* 16893 */ "VideoTrack" "\0"
  /* 16904 */ "VideoTrackList" "\0"
  /* 16919 */ "VisualViewport" "\0"
  /* 16934 */ "WEBGL_color_buffer_float" "\0"
  /* 16959 */ "WEBGL_compressed_texture_astc" "\0"
  /* 16989 */ "WEBGL_compressed_texture_etc" "\0"
  /* 17018 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 17048 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 17079 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 17109 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 17144 */ "WEBGL_debug_renderer_info" "\0"
  /* 17170 */ "WEBGL_debug_shaders" "\0"
  /* 17190 */ "WEBGL_depth_texture" "\0"
  /* 17210 */ "WEBGL_draw_buffers" "\0"
  /* 17229 */ "WEBGL_explicit_present" "\0"
  /* 17252 */ "WEBGL_lose_context" "\0"
  /* 17271 */ "WEBGL_provoking_vertex" "\0"
  /* 17294 */ "WakeLock" "\0"
  /* 17303 */ "WakeLockSentinel" "\0"
  /* 17320 */ "WaveShaperNode" "\0"
  /* 17335 */ "WebExtensionContentScript" "\0"
  /* 17361 */ "WebExtensionPolicy" "\0"
  /* 17380 */ "WebGL2RenderingContext" "\0"
  /* 17403 */ "WebGLActiveInfo" "\0"
  /* 17419 */ "WebGLBuffer" "\0"
  /* 17431 */ "WebGLContextEvent" "\0"
  /* 17449 */ "WebGLFramebuffer" "\0"
  /* 17466 */ "WebGLProgram" "\0"
  /* 17479 */ "WebGLQuery" "\0"
  /* 17490 */ "WebGLRenderbuffer" "\0"
  /* 17508 */ "WebGLRenderingContext" "\0"
  /* 17530 */ "WebGLSampler" "\0"
  /* 17543 */ "WebGLShader" "\0"
  /* 17555 */ "WebGLShaderPrecisionFormat" "\0"
  /* 17582 */ "WebGLSync" "\0"
  /* 17592 */ "WebGLTexture" "\0"
  /* 17605 */ "WebGLTransformFeedback" "\0"
  /* 17628 */ "WebGLUniformLocation" "\0"
  /* 17649 */ "WebGLVertexArrayObject" "\0"
  /* 17672 */ "WebKitCSSMatrix" "\0"
  /* 17688 */ "WebSocket" "\0"
  /* 17698 */ "WebTransport" "\0"
  /* 17711 */ "WebTransportBidirectionalStream" "\0"
  /* 17743 */ "WebTransportDatagramDuplexStream" "\0"
  /* 17776 */ "WebTransportError" "\0"
  /* 17794 */ "WebTransportReceiveStream" "\0"
  /* 17820 */ "WebTransportSendStream" "\0"
  /* 17843 */ "WebrtcGlobalInformation" "\0"
  /* 17867 */ "WheelEvent" "\0"
  /* 17878 */ "Window" "\0"
  /* 17885 */ "WindowClient" "\0"
  /* 17898 */ "WindowContext" "\0"
  /* 17912 */ "WindowGlobalChild" "\0"
  /* 17930 */ "WindowGlobalParent" "\0"
  /* 17949 */ "WindowRoot" "\0"
  /* 17960 */ "Worker" "\0"
  /* 17967 */ "WorkerDebuggerGlobalScope" "\0"
  /* 17993 */ "WorkerGlobalScope" "\0"
  /* 18011 */ "WorkerLocation" "\0"
  /* 18026 */ "WorkerNavigator" "\0"
  /* 18042 */ "WorkerTestUtils" "\0"
  /* 18058 */ "Worklet" "\0"
  /* 18066 */ "WorkletGlobalScope" "\0"
  /* 18085 */ "WritableStream" "\0"
  /* 18100 */ "WritableStreamDefaultController" "\0"
  /* 18132 */ "WritableStreamDefaultWriter" "\0"
  /* 18160 */ "XMLDocument" "\0"
  /* 18172 */ "XMLHttpRequest" "\0"
  /* 18187 */ "XMLHttpRequestEventTarget" "\0"
  /* 18213 */ "XMLHttpRequestUpload" "\0"
  /* 18234 */ "XMLSerializer" "\0"
  /* 18248 */ "XPathEvaluator" "\0"
  /* 18263 */ "XPathExpression" "\0"
  /* 18279 */ "XPathResult" "\0"
  /* 18291 */ "XRBoundedReferenceSpace" "\0"
  /* 18315 */ "XRFrame" "\0"
  /* 18323 */ "XRInputSource" "\0"
  /* 18337 */ "XRInputSourceArray" "\0"
  /* 18356 */ "XRInputSourceEvent" "\0"
  /* 18375 */ "XRInputSourcesChangeEvent" "\0"
  /* 18401 */ "XRPose" "\0"
  /* 18408 */ "XRReferenceSpace" "\0"
  /* 18425 */ "XRReferenceSpaceEvent" "\0"
  /* 18447 */ "XRRenderState" "\0"
  /* 18461 */ "XRRigidTransform" "\0"
  /* 18478 */ "XRSession" "\0"
  /* 18488 */ "XRSessionEvent" "\0"
  /* 18503 */ "XRSpace" "\0"
  /* 18511 */ "XRSystem" "\0"
  /* 18520 */ "XRView" "\0"
  /* 18527 */ "XRViewerPose" "\0"
  /* 18540 */ "XRViewport" "\0"
  /* 18551 */ "XRWebGLLayer" "\0"
  /* 18564 */ "XSLTProcessor" "\0"
  /* 18578 */ "XULCommandEvent" "\0"
  /* 18594 */ "XULElement" "\0"
  /* 18605 */ "XULFrameElement" "\0"
  /* 18621 */ "XULMenuElement" "\0"
  /* 18636 */ "XULPopupElement" "\0"
  /* 18652 */ "XULResizerElement" "\0"
  /* 18670 */ "XULTextElement" "\0"
  /* 18685 */ "XULTreeElement" "\0"
  /* 18700 */ "console" "\0"
  /* 18708 */ "webkitSpeechGrammar" "\0"
  /* 18728 */ "webkitSpeechGrammarList" "\0"
  /* 18752 */ "webkitSpeechRecognition" "\0"
  /* 18776 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

